Subject: Re: bug#12198: [PATCH] tests: fixup: make distcheck-override-infodir pass again

From: Stefano Lattarini <[email-masked]>
Date: Tue, 14 Aug 2012 22:13:34 +0200

tags 12198 + patch
severity 12198 minor
close 12198
thanks

On 08/14/2012 07:49 PM, Peter Rosin wrote:
> On 2012-08-14 18:53, Stefano Lattarini wrote:
>> On 08/14/2012 06:44 PM, Stefano Lattarini wrote:
>>> Hi Peter, thanks for the report and the fix.
>>>
>>> On 08/14/2012 03:25 PM, Peter Rosin wrote:
>>>>
>>>> Ok to push this fix to maint?
>>>>
>>>> Cheers,
>>>> Peter
>>>>
>>>> [Subject] tests: fixup: make distcheck-override-infodir pass again
>>>>
>>> I'd suggest being a little more precise:
>>>
>>>   tests: fixup: avoid spurious failure on Cygwin for distcheck-override-infodir
>>>
>> Forget it, I've seen that the failure is cross-system (reported in automake
>> bug#12198).  Your origin summary line was correct, sorry.  However, may I ask
>> that, the next time you send the fix for a bug, you CC: the relevant bug
>> report (as I'm doing now) and add a reference to the bug number in the commit
>> message?  In this case, change it to read:
>>
>>     tests: fixup: make distcheck-override-infodir pass again
>>
>>     Fixes Automake bug#12198.
>>
>>     * t/distcheck-override-infodir.sh (main.texi): Remove all leading
>>     cruft added by commit v1.12.2-96-g133307b "maintcheck: fix spurious
>>     warnings".
>>
> 
> Done, but note that I posted the patch before the bug report arrived in
> my mailbox.
>
Well, that explain it.  Sorry for the unwarranted lessoning !

> I'm still causal, so it would have been a neat trick to
> include that bug number from the start. :-)
>
Indeed :-)

> Pushed with nits fixed...
> 
I'm closing this bug report then.

Thanks,
  Stefano